Cards, prop trading & accounting

Create Consumer Rain User

Submits the caller's personal/KYC details to Rain's consumer application endpoint and upserts the local Rain user.

POSThttps://api.toku.com/hris/create-consumer-rain-user

Not available to API keys.

curl --request POST \
  --url 'https://api.toku.com/hris/create-consumer-rain-user' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "countryFlowType": "US",
  "occupation": "string",
  "annualSalary": "string",
  "accountPurpose": "string",
  "expectedMonthlyVolume": "string",
  "cardLimitCents": 0,
  "birthDate": "string",
  "nationalId": "string",
  "countryOfIssue": "string",
  "phoneCountryCode": "string",
  "phoneNumber": "string",
  "address": {
    "line1": "string",
    "city": "string",
    "region": "string",
    "postalCode": "string",
    "countryCode": "string",
    "line2": "string"
  }
}'
200 response
{
  "rainUserId": "string",
  "applicationStatus": "string",
  "verificationUrl": "string",
  "isNewUser": true
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Body

application/json

countryFlowTypestringrequired

Available options: US, INTERNATIONAL

occupationstringrequired
annualSalarystringrequired

Allowed: at least 1 characters

accountPurposestringrequired

Allowed: at least 1 characters

expectedMonthlyVolumestringrequired

Allowed: at least 1 characters

cardLimitCentsinteger

Allowed: at least 1

birthDatestringrequired

Allowed: matches ^\d{4}-\d{2}-\d{2}$

nationalIdstringrequired

Allowed: at least 1 characters

countryOfIssuestringrequired

Allowed: 2 to 2 characters

phoneCountryCodestringrequired

Allowed: 1 to 3 characters

phoneNumberstringrequired

Allowed: 1 to 15 characters

addressobjectrequired
Show child attributes
line1stringrequired

Allowed: at least 1 characters

citystringrequired

Allowed: at least 1 characters

regionstringrequired

Allowed: at least 1 characters

postalCodestringrequired

Allowed: at least 1 characters

countryCodestringrequired

Allowed: 2 to 2 characters

line2string

Response

200Successful response
rainUserIdstringrequired
applicationStatusstringrequired
verificationUrlstring | nullrequired
isNewUserbooleanrequired
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits